unit uWeb;

interface

uses Rubies, WebHandle;

var
  id_call: Tid;
  mWeb: Tvalue;
  Handle: TWebHandle;

function WebGetHandle: TWebHandle;
procedure Init_Web_module;

implementation

function WebGetHandle: TWebHandle;
begin
  result := Handle;
end;

procedure Init_Web_module;
begin
  id_call := rb_intern('call');
  mWeb := rb_define_module('Web');
end;

initialization
  Handle := TWebHandle.Create;
finalization
  Handle.Free;
end.
